build:
  image: olymk2/mhackspace
  pull: true
  commands:
    - cd website 
    - sleep 15
    - python3 -m "scaffold"
    - nose2-3.5


compose:
    database:
      image: olymk2/mariadb
      pull: true
      volume:      
          - /website/data/migrate:/docker-entrypoint-initdb.d
      environment:
          MYSQL_DATABASE: maidstone_hackspace
          MYSQL_USER: mhackspace
          MYSQL_PASSWORD: mhackspace
          MYSQL_ROOT_PASSWORD: mhackspace

notify:
  irc:
    prefix: build
    nick: drone
    channel: #maidstone-hackspace
    server:
      host: chat.freenode.net
      port: 6667
